/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.jbi.messaging.transport.platform.joram;

import java.util.Map;

import org.ow2.petals.jbi.messaging.transport.ProtocolMonitor;
import org.ow2.petals.jbi.messaging.transport.TransportException;
import org.ow2.petals.jbi.messaging.transport.util.JoramControl;
import org.ow2.petals.kernel.configuration.ContainerConfiguration;

/**
 * 
 * @author ofabre - eBM Websourcing
 * 
 */
public class JoramMonitoring implements ProtocolMonitor {

    private ContainerConfiguration containerConfiguration;

    public JoramMonitoring(ContainerConfiguration configuration) {
        super();
        this.containerConfiguration = configuration;
    }

    public Map<String, Integer> getQueueSizes() throws TransportException {
        return JoramControl.getInstance().getQueueSizes(containerConfiguration);
    }

    public int getQueueMaxSize() throws TransportException {
        return JoramControl.getInstance().getQueueMaxSize(containerConfiguration);
    }

}
